function init(hero) {
    hero.setName("Venom");
    hero.setVersion("Fleischer");
    hero.setTier(8);
    
    hero.setChestplate("Symbiote");
    
    hero.addPowers("spiderfreak:symbiote_physiology");
    hero.addAttribute("FALL_RESISTANCE", 50, 0);
    hero.addAttribute("JUMP_HEIGHT", 5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 8.5, 0);
    hero.addAttribute("SPRINT_SPEED", 1.5, 1);
    hero.addAttribute("STEP_HEIGHT", 1, 0);
    hero.addAttribute("IMPACT_DAMAGE", 1, 1);
    
    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 1);

    hero.setDefaultScale(1.6);
}

function webSwingingKey(player, manager) {
    var flag = player.getData("fiskheroes:web_swinging");
    
    if (!flag) {
        manager.setDataWithNotify(player, "fiskheroes:prev_utility_belt_type", player.getData("fiskheroes:utility_belt_type"));
        manager.setDataWithNotify(player, "fiskheroes:utility_belt_type", -1);
    }
    
    manager.setDataWithNotify(player, "fiskheroes:web_swinging", !flag);
    return true;
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:web_swinging":
        return entity.getHeldItem().isEmpty() && entity.getData("fiskheroes:utility_belt_type") == -1;
    case "fiskheroes:leaping":
        return modifier.id() == "springboard" == (entity.getData("fiskheroes:ticks_since_swinging") < 5);
    default:
        return true;
    }
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "func_WEB_SWINGING":
        return entity.getHeldItem().isEmpty();
    default:
        return true;
    }
}
